Generate Invoice
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "KES",
"amount": 1000,
"bank": {
"address": "123 Main St",
"phoneNumber": "+254712345678",
"bankCode": 123456,
"accountNumber": "1234567890",
"country": "Kenya"
},
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"userReference": "1e476673-0931-4eba-8373-37b368ce59f7"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice"
payload = {
"currency": "KES",
"amount": 1000,
"bank": {
"address": "123 Main St",
"phoneNumber": "+254712345678",
"bankCode": 123456,
"accountNumber": "1234567890",
"country": "Kenya"
},
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"userReference": "1e476673-0931-4eba-8373-37b368ce59f7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'KES',
amount: 1000,
bank: {
address: '123 Main St',
phoneNumber: '+254712345678',
bankCode: 123456,
accountNumber: '1234567890',
country: 'Kenya'
},
referenceId: '1e476673-0931-4eba-8373-37b368ce59f7',
userReference: '1e476673-0931-4eba-8373-37b368ce59f7'
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Invoice has been successfully created",
"data": {
"id": "<string>",
"message": "<string>",
"reference_id": "<string>",
"reference_number": 123,
"customer_key": "<string>",
"redirect_url": "<string>"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Cross-Border Payments
Generate Invoice
Generate Invoice
POST
/
api
/
v3
/
cross-boarder
/
invoice
Generate Invoice
Generate an invoice for cross-border payments between different fiat currencies.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The currency of the invoice
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Example:
"KES"
The amount of the invoice
Example:
1000
The bank details of the invoice
Show child attributes
Show child attributes
Example:
{ "address": "123 Main St", "phoneNumber": "+254712345678", "bankCode": 123456, "accountNumber": "1234567890", "country": "Kenya" }
The reference id of the invoice
Example:
"1e476673-0931-4eba-8373-37b368ce59f7"
The user reference of the invoice
Example:
"1e476673-0931-4eba-8373-37b368ce59f7"
⌘I